> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 延長とアップロード

> extend 延長、uploadTask/uploadCover/uploadExtend アップロード素材

4 つの操作が同一エンドポイントを共有し、`{operation}` で動作が決まります:

```
POST https://toapis.com/v1/music/generations/{operation}
```

## Authorizations

**Authorization** `string` *required*

Bearer Token。API Key:[API Key 管理ページ](https://toapis.com/console/token)

## extend — 曲の延長($0.05,Max $0.10)

既存タスクの指定時点から続きを生成。`custom` は既定で `true`。

**model** `string` *required*

固定 `"suno"`

**task\_id** `string` *required*

元タスク ID

**continue\_at** `number` *required*

再開位置(秒)

**audio\_index** `number`

トラック番号

**prompt** `string`

続きの歌詞(custom モード)

**title** `string`

タイトル

**style** `string`

スタイルタグ

**max\_mode** `boolean`

Max ティア \$0.10

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/extend \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","task_id":"tsk_aud_xxx","continue_at":60,"prompt":"[Chorus] ..."}'
```

## uploadTask — アップロード登録(\$0.004)

公開音声 URL をタスクとして登録。生成物は `sample`/`addVocals`/`addInstrumental`/`addStem` の**必須ソース**です。

**model** `string` *required*

固定 `"suno"`

**audioFilePath** `string` *required*

公開アクセス可能な音声 URL

> [!WARNING]
>
> `model` と `audioFilePath` のみ送信。`version` 等の余計なフィールドは上流で拒否されます。

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/uploadTask \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","audioFilePath":"https://example.com/my-vocals.mp3"}'
```

## uploadCover — アップロード+カバー($0.05,Max $0.10)

**model** `string` *required*

固定 `"suno"`

**audio\_url** `string` *required*

元音声 URL

**custom** `boolean`

カスタム歌詞モード

**prompt** `string`

歌詞(custom=true)/ 説明

**gpt\_description** `string`

インスピレーション説明(custom=false 時必須)

**style** `string`

目標スタイル

**persona\_id** `string`

ボーカルペルソナ。`custom_model_id` と排他

**max\_mode** `boolean`

Max ティア

## uploadExtend — アップロード+延長($0.05,Max $0.10)

音声をアップロードし、指定時点から延長。常にカスタムモードとして処理。

**model** `string` *required*

固定 `"suno"`

**audio\_url** `string` *required*

元音声 URL

**continue\_at** `number` *required*

再開位置(秒)

**prompt** `string`

続きの歌詞

**style** `string`

スタイル

**max\_mode** `boolean`

Max ティア

## Response

**task\_id** `string`

タスク ID

**status** `string`

`submitted`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.